Bug 507212 - gnome-session crashes on login while parsing session files writen previously
gnome-session crashes on login while parsing session files writen previously
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
: xsession-error (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 14:04 EDT by Paul Jakma
Modified: 2010-06-28 09:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:11:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.desktop of saved xterm (343 bytes, text/plain)
2009-07-31 04:40 EDT, Jón Fairbairn
no flags Details

  None (edit)
Description Paul Jakma 2009-06-21 14:04:23 EDT
Description of problem:

Gnome-session crashes shortly after login and the user is dumped back to GDM, wondering WTF happened and unable to access their desktop.

Version-Release number of selected component (if applicable):

gnome-session-2.26.1-1.fc11.i586


How reproducible:

100%

Steps to Reproduce:

1. Login
2. Ensure session preferences are set to save running programme state on logout
3. run the following command:

 xterm -geometry 80x50 +sb -e rpine

(where rpine is a script that just runs my alpine MUA with the right args)

4. Now logout
5. Try and login again
  
Actual results:

It's no longer possible to get to a working GNOME desktop. User is dumped back to GDM while their desktop is being constructed. Message similar to following is left in syslog:

Jun 21 18:11:28 xxxx gnome-session[2339]: WARNING: Could not launch application '10df595825f553b994124507707772408800000042270025.desktop': Unable to start application: Text ended before matching quote was found for '. (The text was 'xterm -xtsessionID 10df595825f553b994124507707772408800000042270025 -geometry 80x50 '+sb')

Followed by:

Jun 21 18:11:29 xxxx gdm[2485]: ******************* START **********************************
Jun 21 18:11:33 xxxx gdm[2485]: [Thread debugging using libthread_db enabled]
Jun 21 18:11:33 xxxx gdm[2485]: [New Thread 0xb7e28b70 (LWP 2434)]
Jun 21 18:11:33 xxxx gdm[2485]: 0x00adc424 in __kernel_vsyscall ()
Jun 21 18:11:33 xxxx gdm[2485]: #0  0x00adc424 in __kernel_vsyscall ()
Jun 21 18:11:33 xxxx gdm[2485]: #1  0x0054fd6b in waitpid () from /lib/libc.so.6
Jun 21 18:11:33 xxxx gdm[2485]: #2  0x0805f0d1 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #3  0x0805f1bf in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #4  <signal handler called>
Jun 21 18:11:33 xxxx gdm[2485]: #5  0x00525f48 in free () from /lib/libc.so.6
Jun 21 18:11:33 xxxx gdm[2485]: #6  0x006b12b6 in g_free () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #7  0x006c9be0 in g_strfreev () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #8  0x0806c725 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #9  0x0806cedf in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #10 0x08050f78 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #11 0x08063556 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #12 0x0069ab77 in g_hash_table_find () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #13 0x08063bd7 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #14 0x08063d06 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #15 0x007abc0c in g_cclosure_marshal_VOID__VOID ()
Jun 21 18:11:33 xxxx gdm[2485]:    from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #16 0x0079e332 in g_closure_invoke () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #17 0x007b39a8 in ?? () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #18 0x007b4d1d in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #19 0x007b51a6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #20 0x0804fcf1 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #21 0x08067c4e in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #22 0x08057028 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #23 0x0079e332 in g_closure_invoke () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #24 0x007b39a8 in ?? () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #25 0x007b4ba8 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #26 0x007b51a6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #27 0x080546b0 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #28 0x003925f8 in _SmsProcessMessage () from /usr/lib/libSM.so.6
Jun 21 18:11:33 xxxx gdm[2485]: #29 0x00383de2 in IceProcessMessages () from /usr/lib/libICE.so.6
Jun 21 18:11:33 xxxx gdm[2485]: #30 0x08055281 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #31 0x006df72b in ?? () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #32 0x006a8d78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #33 0x006ac310 in ?? () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #34 0x006ac77f in g_main_loop_run () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #35 0x05834029 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: #36 0x08060b5b in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: #37 0x004c8a66 in __libc_start_main () from /lib/libc.so.6
Jun 21 18:11:33 xxxx gdm[2485]: #38 0x0804f751 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: 
Jun 21 18:11:33 xxxx gdm[2485]: Thread 2 (Thread 0xb7e28b70 (LWP 2434)):
Jun 21 18:11:33 xxxx gdm[2485]: #0  0x00adc424 in __kernel_vsyscall ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #1  0x00580bfb in read () from /lib/libc.so.6
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #2  0x006a9c4a in ?? () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #3  0x006d316f in ?? () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: .0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #5  0x0059082e in clone () from /lib/libc.so.6
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: 
Jun 21 18:11:33 xxxx gdm[2485]: Thread 1 (Thread 0xb8045750 (LWP 2339)):
Jun 21 18:11:33 xxxx gdm[2485]: #0  0x00adc424 in __kernel_vsyscall ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #1  0x0054fd6b in waitpid () from /lib/libc.so.6
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #2  0x0805f0d1 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #3  0x0805f1bf in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #4  <signal handler called>
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #5  0x00525f48 in free () from /lib/libc.so.6
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #6  0x006b12b6 in g_free () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #7  0x006c9be0 in g_strfreev () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #8  0x0806c725 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #9  0x0806cedf in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #10 0x08050f78 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #11 0x08063556 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #12 0x0069ab77 in g_hash_table_find () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #13 0x08063bd7 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #14 0x08063d06 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #15 0x007abc0c in g_cclosure_marshal_VOID__VOID ()
Jun 21 18:11:33 xxxx gdm[2485]:    from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #16 0x0079e332 in g_closure_invoke () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #17 0x007b39a8 in ?? () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #18 0x007b4d1d in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #19 0x007b51a6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #20 0x0804fcf1 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #21 0x08067c4e in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #22 0x08057028 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #23 0x0079e332 in g_closure_invoke () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #24 0x007b39a8 in ?? () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #25 0x007b4ba8 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #26 0x007b51a6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #27 0x080546b0 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #28 0x003925f8 in _SmsProcessMessage () from /usr/lib/libSM.so.6
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #29 0x00383de2 in IceProcessMessages () from /usr/lib/libICE.so.6
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #30 0x08055281 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #31 0x006df72b in ?? () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #32 0x006a8d78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #33 0x006ac310 in ?? () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #34 0x006ac77f in g_main_loop_run () from /lib/libglib-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #35 0x05834029 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #36 0x08060b5b in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #37 0x004c8a66 in __libc_start_main () from /lib/libc.so.6
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: #38 0x0804f751 in gtk_tree_model_iter_n_children ()
Jun 21 18:11:33 xxxx gdm[2485]: No symbol table info available.
Jun 21 18:11:33 xxxx gdm[2485]: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Jun 21 18:11:33 xxxx gdm[2485]: ******************* END **********************************

Expected results:

A working GNOME desktop upon successful login.
Comment 1 Jón Fairbairn 2009-07-31 04:35:59 EDT
I have much the same problem. It looks like when the session is saved the command line of the xterm is truncated. See attached desktop file...
Comment 2 Jón Fairbairn 2009-07-31 04:40:23 EDT
Created attachment 355778 [details]
.desktop of saved xterm

The actual command line should look something like this:
xterm -name '? messages' -title '? messages' -geometry 40x5 -e ~/Scripts/mcbp

On Fedora 9 the command was saved correctly.

This doesn't kill the session for me, but I'm starting a vnc session, not logging in through gdm.
Comment 3 Luya Tshimbalanga 2009-09-15 02:02:51 EDT
*** Bug 517572 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2010-04-27 11:08:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 09:11:42 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.